# Introduction

This is the data-set accompanying the rabbitAI depth prediction benchmark (rabbitai.de/benchmark).
For more details (and if you need to cite this data-set) see:

@proceedings{MG-BDDPBL,
	author = {Schilling, Hendrik and Gutsche, Marcel and Brock, Alexander and Sp{\"a}th, Dane and Rother, Carsten and Krispin, Karsten},
	booktitle = {2020 IEEE Conference on Computer Vision and Pattern Recognition Workshops (CVPRW)},
	title = {Mind the Gap - A Benchmark for Dense Depth Prediction beyond Lidar},
	volume = {in press}
}

This dataset is licensed under Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International (CC BY-NC-SA 4.0), if you are interested in a commercial license please contact info@rabbitai.de.

# Description

The data-set of 60 images with dense depth ground truth with a suggested 50/5/5 train/test/validate split.
The data is layed out in the same fashion as the KITTI depth prediction training data, and the image data mimics the KITTI recording characteristics:

datasets_rabbitai/
└── data_1
    ├── test
    │   ├── image_01  # color images 
    │   └── proj_depth
    │       └── groundtruth
    │           └── image_01 # 
    ├── train
    │   ├── image_01
    │   └── proj_depth
    │       └── groundtruth
    │           └── image_01 # dense ground truth depth stored as png, below
    └── val
        ├── image_01
        └── proj_depth
            └── groundtruth
                └── image_01

# Format

Images are stored as 8bit RGB png files.
Ground truth depth is stored as 16 bit png files in meter / 256.
Note that images are clipped to 100m (max value in png is 25600), invalid values encoded by zero!
                
# How to use the Data

We recommend using this data together with the KITTI depth prediction dataset (http://www.cvlibs.net/datasets/kitti/eval_depth.php?benchmark=depth_prediction).
Compared to KITTI this data-set does contain valid values for most distant objects, however the depth is clamped to 100m. If you use this data for training or testing of deep learning models we recommend to _not_ ignore the far-away areas, but instead use e.g. clamped loss which forces outputs for the clamped areas to be >= 100m, or comparable measures.
